summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/esound/esd
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-14 04:21:17 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-14 04:21:17 (GMT)
commit56ba5f3c5e06af89fd0bf710839635d3e5f1ac60 (patch)
tree468926664c785321a996db8beffc6a7a20d5e2a8 /abs/core-testing/esound/esd
parentee7d8d75c14ed0ae36cc0e34ae150012c97e197d (diff)
downloadlinhes_pkgbuild-56ba5f3c5e06af89fd0bf710839635d3e5f1ac60.zip
linhes_pkgbuild-56ba5f3c5e06af89fd0bf710839635d3e5f1ac60.tar.gz
linhes_pkgbuild-56ba5f3c5e06af89fd0bf710839635d3e5f1ac60.tar.bz2
Moving several more packages to core, because they are dependencies of other packages in core.
xosd esound ftgl gdk-pixbuf glib gtklibmpg2 libvisual libxml-perl perl-xml-regexp projectm libdv libmng
Diffstat (limited to 'abs/core-testing/esound/esd')
-rwxr-xr-xabs/core-testing/esound/esd37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core-testing/esound/esd b/abs/core-testing/esound/esd
new file mode 100755
index 0000000..d90ef55
--- /dev/null
+++ b/abs/core-testing/esound/esd
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/esd`
+case "$1" in
+ start)
+ stat_busy "Starting Esound Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/esd -nobeeps &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon esd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Esound Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon esd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac